subroutine meanAsolver

use global
use mod_functions

implicit none


integer:: go_on_bisec, iter
real(8):: Alow, Aup, fAlow, fAup, fA

Alow=0.001d0
Aup=1.0d0

go_on_bisec=1
fAlow=output(Alow)   
fAup=output(Aup)

if (fAlow*fAup>0) then
    print*, 'wrong initial interval for bisection : meanA'
    pause
endif


iter=0

do while (go_on_bisec==1)
    iter=iter+1
    meanA=(Alow+Aup)/2.0
    fA=output(meanA)
    if (fAup*fA<=0) then
        Alow=meanA
        fAlow=fA
    else 
        Aup=meanA
        fAup=fA
    endif
    
    if (dabs(fA)<tol1) then
        go_on_bisec=0
    endif
    
    if (iter>100) then
        go_on_bisec=0
    endif
    
!print*,'iter=', iter   
    
enddo

end subroutine