subroutine steadystate

use global
implicit none

real(8):: numer, denom

wss = (1.0d0-alpha)*((1.0d0/beta-1.0d0+deltak)/alpha)**(alpha/(alpha-1.0d0))
numer=wss*meanA**(1.0d0/phi)*phi*deltah**((phi-1.0d0)/phi)
denom=1.0d0/beta-1.0d0+deltah*(1.0d0-phi)
Hss=(numer/denom)**(phi/(1.0d0-2.0d0*phi))
Xhss=(deltah*Hss**(1.0d0-phi)/meanA)**(1.0d0/phi)
rss=1.0d0/beta-1.0d0
B=1.0d0
Kss=(B*alpha/(rss+deltak))**(1.0d0/(1.0d0-alpha))*Hss
Yss=(Kss**alpha)*(Hss**(1.0d0-alpha))

print*,'Hss=', Hss, ' Xhss=', Xhss, ' Kss=', Kss, ' rss=',rss, 'Yss=', Yss

end subroutine 