subroutine getgrid

use global
implicit none

integer:: i1
real(8):: step

kgrid(1)=kmin
step=(kmax-kmin)/(dimgridk-1.0)
do i1=2,dimgridk
    kgrid(i1)=kgrid(i1-1)+step
enddo


hgrid(1)=hmin
step=(hmax-hmin)/(dimgridh-1.0)
do i1=2,dimgridh
    hgrid(i1)=hgrid(i1-1)+step
enddo

print*, ' '
print*, 'grid generated'
print*, ' ' 


open(unit=1, file='kgrid.txt')
  write(1,'(1f14.7)') kgrid
close(1)  

open(unit=2, file='hgrid.txt')
  write(2,'(1f14.7)') hgrid
close(2)  

end subroutine